package org.springframework.prospring.ticket.service.payment;

import org.springframework.prospring.ticket.service.*;

/**
 * Wyjątek zgłaszany gdy numer karty kredytowej nie jest prawidłowy.
 *
 * @see PaymentProcessor#validate(org.springframework.prospring.ticket.service.PurchaseRequest)
 */
public class CreditCardValidationException extends BaseApplicationException {

    // the kod błędu.
    private final static String ERROR_CODE = "payment.creditcard.invalid";

    public CreditCardValidationException(Throwable ex) {
        super(ERROR_CODE, ex);
    }

    public CreditCardValidationException(String message) {
        super(ERROR_CODE, message);
    }

}
